<?php
if (isset($_GET['address'])) {
    $address = urlencode($_GET['address']);
    $url = "https://nominatim.openstreetmap.org/search?q=$address&format=json&limit=1";

    // Contesto con User-Agent per evitare errori di accesso
    $options = [
        "http" => [
            "header" => "User-Agent: PHP-Script/1.0\r\n"
        ]
    ];
    $context = stream_context_create($options);

    $response = @file_get_contents($url, false, $context);

    if ($response === FALSE) {
        echo json_encode(['error' => 'Errore durante la connessione al servizio Nominatim']);
    } else {
        $data = json_decode($response, true);
        if (!empty($data)) {
            $location = $data[0];
            echo json_encode([
                'lat' => $location['lat'],
                'lon' => $location['lon']
            ]);
        } else {
            echo json_encode(['error' => 'Indirizzo non trovato']);
        }
    }
}
?>


